
Figure - Bug #116545
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111069 (New): AF-V3.0--Launcher/SystemUI-小窗模式入口

【AF】【EVT】【小窗模式】打开音乐小窗，再次点击桌面上的音乐图标，音乐图标有放大效果
2023-02-24 17:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-24

Priority: Normal Due date: 2023-03-15

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

Reproducibility: Every time Fixed Version: 2023-03-04

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

【测试步骤】

1、打开音乐小窗

2、再次点击桌面上的音乐图标

【预期结果】

2、音乐小窗的打开效果与图库、视频表现一致

【实际结果】

2、音乐图标有放大效果

【复现率】

3/3

History

#1 - 2023-02-24 17:13 - CD TEST-方永红

- Category changed from CD-FW to 窗口定制

#2 - 2023-02-28 14:34 - CD FW-鲁凯峰

- Category deleted (窗口定制)

- Assignee changed from CD FW-鲁凯峰 to CD APP-王宏

这个属于Launcher上的图标显示问题,请Launcher先帮忙看看

#3 - 2023-02-28 15:15 - CD FW-鲁凯峰

- Category set to CD-APP

#4 - 2023-03-01 17:50 - CD APP-王宏

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10
■ Current conclusion

分析中

■ My analysis

根据缩放效果，在BubbleTextView的setScale()中加日志，打印堆栈，

发现此过程无有日志打印，排除整体缩放 

■ Next action

查找对应icon的处理过程，寻找对应缩放效果产生原因

#5 - 2023-03-02 11:01 - CD APP-王营

- Due date set to 2023-03-15

#6 - 2023-03-02 18:24 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

调查过程中发现是跟BubbleTextView$setStayPressed()相关，另外此处是跟window的过度动画相关，音乐和其他正常的

启动intent是一致的，但是动画的onStart却没有执行，目前正在调查原因

■ Next action

查看过渡动画的文档，调查失效原因。

#7 - 2023-03-03 17:48 - CD APP-王宏

- % Done changed from 10 to 50

■ Current conclusion

代码已提交

■ My analysis

调查过程中发现是跟BubbleTextView$setStayPressed()相关，另外此处是跟window的过度动画相关，但是配合frameword同事

修改后发现所有图标都有这个问题，是因为回调动画没有执行，因此，我们在小窗已打开的情况下，判断是否是该小窗应用，给他一个延时的逻辑，

将图标恢复默认状态.

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/185679

#8 - 2023-03-03 18:27 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

185679 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Launcher:Repair startup icon display exception1.Repair startup icon display exception2.Modify the small window startup logic in cooperation with the

frameworkTC-RID: 1201-0205301IssueID: TS-R-BUG-116545Change-Id: Ib3fa1a8380f7d43ab1cb369120034b2cb0be2c07

#9 - 2023-03-03 18:28 - CD APP-王宏
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-04

- Root cause set to AOSP问题

#10 - 2023-03-06 17:30 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303040019

3.6

验证通过

#11 - 2023-03-06 17:30 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-24 16-53-43.mp4 17.3 MB 2023-02-24 CD TEST-方永红
